print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local priceyogurt = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local yogurtHudFile = "Paletten/hud_fill_yogurt.dds"
	local yogurtHudFileSmall = "Paletten/hud_fill_yogurt_small.dds"
	
    local yogurtFilType = g_fillTypeManager:addFillType("YOGURT", g_i18n:getText("yogurt"), true, priceyogurt * 2.0, 0.00045, math.rad(10), yogurtHudFile, yogurtHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasyogurt=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasyogurt=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "YOGURT" then
		hasyogurt=true
	end;
		
end;

		if hasmaize and not hasyogurt then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("YOGURT")
		local price = g_fillTypeManager:getFillTypeByName("YOGURT").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("YOGURT")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)